# Deprovision an Internet Access Service Instance Deprovision Equinix Internet Access service instances that you no longer need. ![](https://docs.equinix.com/assets/images/eiaDeprovisionEquinixInternetAccess-935fb14dbe9e4b7a41edc36bcbade54c.png) Currently, you can [deprovision Equinix Internet Access](https://docs.equinix.com/internet-access/managing/delete-service.md) with Fabric and Equinix Internet Access with Network Edge. To deprovision an Equinix Internet Access with Dedicated Port service instance, contact Equinix [Service Desk](https://docs.equinix.com/customer-support.md). [Equinix Internet Access Manager](https://docs.equinix.com/iam/roles-permissions/iam-roles-permission-reference.md) role must be assigned to the account used to send API requests. For information on access management, see [Assign Roles to Users](https://docs.equinix.com/iam/user-management/iam-users-access-roles.md). The order processing for the service instance that you want to deprovision must be completed (order.status: `COMPLETED`) and the service instance status must be one of the following: `ACTIVE`, `DRAFT`, `INACTIVE`, `PENDING`. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Use the [Search Internet Access Services](https://docs.equinix.com/api-catalog/internetaccessv2/eia-service/getequinixinternetaccessservices.md) endpoint to determine the ID of a service instance that you want to deprovision. ## Deleting an Internet Access Service Instance[​](#deleting-an-internet-access-service-instance "Direct link to Deleting an Internet Access Service Instance") To delete an Internet Access service instance, send a `DELETE` request to the [`internetAccess/v2/services/{id}`](https://docs.equinix.com/api-catalog/internetaccessv2/eia-service/deleteequinixinternetaccess.md) endpoint. Sample cURL Request: ``` curl -X DELETE 'https://api.equinix.com/internetAccess/v2/services/1416e55b-f9ee-4867-9ebe-e785a0295d7e' \ -H 'authorization: Bearer ' ``` Sample Response: ``` { "type": "SINGLE_PORT", "useCase": "MAIN", "name": "EIA dot1q Juniper", "bandwidth": 50, "uuid": "1416e55b-f9ee-4867-9ebe-e785a0295d7e", "account": { "accountNumber": "200491" }, "billing": "FIXED", "changeLog": { "createdBy": "890702", "createdByFullName": "johnDoe johnDoe", "createdByEmail": "johnDoe@nocompany2.com", "createdDateTime": "2023-05-10T11:26:55.038309Z", "updatedBy": "890702", "updatedByFullName": "johnDoe johnDoe", "updatedByEmail": "johnDoe@nocompany2.com", "updatedDateTime": "2023-05-10T11:26:55.038311Z", "deletedBy": "890702", "deletedByFullName": "johnDoe johnDoe", "deletedByEmail": "johnDoe@nocompany2.com", "deletedDateTime": "2023-09-09T12:34:56.038311Z" }, "draft": false, "links": [ { "href": "https://api.equinix.com/internetAccess/v1/services/31c30c26-548e-4056-b92a-a15dd3cc6aae", "authenticate": false } ], "order": { "href": "https://api.equinix.com/internetAccess/v1/orders/d78b048c-0ccb-4158-a6e0-2c4cc752f806", "uuid": "d78b048c-0ccb-4158-a6e0-2c4cc752f806", "type": "AMENDMENT" }, "project": { "href": "https://api.equinix.com/resourceManager/v1/projects/ad419c0f-bb03-45be-9753-e828c555fea9", "projectId": "ad419c0f-bb03-45be-9753-e828c555fea9" }, "state": "DEPROVISIONING" } ``` You can use `dryRun` query parameter to execute the API request in test mode and determine if the user account has sufficient permissions to delete the given service instance. Sample cURL Request: ``` curl -X DELETE 'https://api.equinix.com/internetAccess/v2/services/1416e55b-f9ee-4867-9ebe-e785a0295d7e?dryRun=true' \ -H 'authorization: Bearer ' ```